[tool.poetry]
name = "tasks"
version = "0.1.0"
description = ""
authors = ["tobi <t.fochtmann85@googlemail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11,<3.12"
pandas = "^2.1.1"
pyyaml = "^6.0.1"
bondanalyzer_schemes = { path = "../libraries/bondanalyzer_schemes", develop = true }
mail_sender = { path = "../libraries/mail_sender", develop = true }
openpyxl = "^3.1.1"
yfinance = "^0.2.54"
typeguard = "^4.1.5"
more-itertools = "^10.1.0"
python-dotenv = "^1.0.0"
requests-unixsocket = "^0.3.0"

[tool.poetry.group.test.dependencies]
pytest = "^7.2.1"
mockito = "^1.4.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
